Bug 141644 - FILEOPEN XLSX Text in shape rotated to 270 degrees appears horizontal
Summary: FILEOPEN XLSX Text in shape rotated to 270 degrees appears horizontal
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: All All
: medium normal
Assignee: Szabolcs Toth
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: XLSX-Shapes
  Show dependency treegraph
 
Reported: 2021-04-12 12:47 UTC by NISZ LibreOffice Team
Modified: 2021-06-10 09:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel with rotated text in shapes (9.21 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2021-04-12 12:47 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Excel and Calc (177.90 KB, image/png)
2021-04-12 12:47 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-04-12 12:47:31 UTC
Created attachment 171121 [details]
Example file from Excel with rotated text in shapes

Attached file contains all text directions supported by Excel: horizontal, 90 degrees and 270 degrees rotated and the vertical LTR / vertical RTL that are not supported in Calc.

Recently the 270 degrees rotated text started to be imported as horizontal.

Steps to reproduce:
    1. Open attached file

Actual results:
The 270 degrees rotated text appears horizontal.

Expected results:
Shapes text should be rotated.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: da6c70efbc991f1fc61aace267dd4f972dedce6c
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: bs-BA (hu_HU); UI: en-US
Calc: threaded

Also in 7.1 but not yet in 7.0.

Additional Information: 

Bibisected using bibisect-win64-7.1 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=8c23be49fb5a9044989532e6e20feb1e3ff64f2b 
author	Szabolcs Toth <toth.szabolcs@nisz.hu>	Wed Sep 16 14:41:24 2020 +0200
committer	László Németh <nemeth@numbertext.org>	Thu Sep 24 12:54:14 2020 +0200

tdf#106197 XLSX shape import: keep text upright

Adding CC to: Szabolcs Tóth
Comment 1 NISZ LibreOffice Team 2021-04-12 12:47:53 UTC
Created attachment 171122 [details]
Screenshot of the original document side by side in Excel and Calc
Comment 2 Aron Budea 2021-04-29 00:05:47 UTC
Confirmed using LO 7.2.0.0.alpha0+ (93bb5fcba9e58eeeaaed9521c3bb4eecf9b91ac1) / Ubuntu.
Comment 3 Commit Notification 2021-05-25 11:42:29 UTC
Szabolcs Toth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/b2190523e0b226bcae19cc8c3ce8a83855c7f009

tdf#141644 OOXML shape import: fix upright text rotate angle

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2021-06-10 09:02:25 UTC
Verified in: 

Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: aa9cb8e14749e7fb7a83b55a2bb095501f731a18
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded